Get Application Security Settings

get

/applications/{applicationName}/settings/security

Returns the security settings of the specified application.

Request

Path Parameters
Back to Top

Response

200 Response

OK

Security settings returned successfully.

400 Response

Bad Request

Failed to get the security settings. The application name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get security related settings of an Essbase application.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/settings/security?links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%

Example of Response Body

{
  "security" : {
    "allowCommands" : true,
    "allowConnects" : true,
    "allowUpdates" : true
  }
}
Back to Top